Debian Bug report logs - #453165
isdnutils: FTBFS: capi20.h:65: error: expected declaration specifiers or '...' before 'size_t'

version graph

Package: isdnutils; Maintainer for isdnutils is Rolf Leggewie <foss@rolf.leggewie.biz>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 27 Nov 2007 18:48:16 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version isdnutils/1:3.9.20060704-3

Fixed in version isdnutils/1:3.9.20060704-3.1

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#453165; Package isdnutils. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Paul Slootman <paul@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: isdnutils: FTBFS: capi20.h:65: error: expected declaration specifiers or '...' before 'size_t'
Date: Tue, 27 Nov 2007 19:39:15 +0100
Package: isdnutils
version: 1:3.9.20060704-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071126 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > make[2]: Entering directory `/build/user/isdnutils-3.9.20060704/capi20'
 > gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libcapi20\" -DVERSION=\"3.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LINUX_CAPI_H=1 -DHAVE_SELECT=1 -I. -I.    -fPIC -g -O2 -c -o libcapi20dyn_a-capidyn.o `test -f 'capidyn.c' || echo './'`capidyn.c
 > rm -f libcapi20dyn.a
 > ar cru libcapi20dyn.a libcapi20dyn_a-capidyn.o 
 > ranlib libcapi20dyn.a
 > /bin/sh ./libtool --mode=compile gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libcapi20\" -DVERSION=\"3.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LINUX_CAPI_H=1 -DHAVE_SELECT=1 -I. -I.    -fno-strict-aliasing -g -O2 -c -o libcapi20_la-capi20.lo `test -f 'capi20.c' || echo './'`capi20.c
 > mkdir .libs
 >  gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libcapi20\" -DVERSION=\"3.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LINUX_CAPI_H=1 -DHAVE_SELECT=1 -I. -I. -fno-strict-aliasing -g -O2 -c capi20.c  -fPIC -DPIC -o .libs/libcapi20_la-capi20.o
 >  gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libcapi20\" -DVERSION=\"3.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LINUX_CAPI_H=1 -DHAVE_SELECT=1 -I. -I. -fno-strict-aliasing -g -O2 -c capi20.c -o libcapi20_la-capi20.o >/dev/null 2>&1
 > /bin/sh ./libtool --mode=compile gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libcapi20\" -DVERSION=\"3.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LINUX_CAPI_H=1 -DHAVE_SELECT=1 -I. -I.    -fno-strict-aliasing -g -O2 -c -o libcapi20_la-capifunc.lo `test -f 'capifunc.c' || echo './'`capifunc.c
 >  gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libcapi20\" -DVERSION=\"3.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LINUX_CAPI_H=1 -DHAVE_SELECT=1 -I. -I. -fno-strict-aliasing -g -O2 -c capifunc.c  -fPIC -DPIC -o .libs/libcapi20_la-capifunc.o
 > In file included from capifunc.c:42:
 > capi20.h:65: error: expected declaration specifiers or '...' before 'size_t'
 > capi20.h:67: error: expected declaration specifiers or '...' before 'size_t'
 > make[2]: *** [libcapi20_la-capifunc.lo] Error 1
 > make[2]: Leaving directory `/build/user/isdnutils-3.9.20060704/capi20'
 > make[1]: *** [subtargets] Error 2
 > make[1]: Leaving directory `/build/user/isdnutils-3.9.20060704'
 > make: *** [build-stamp] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2007/11/26

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#453165; Package isdnutils. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Paul Slootman <paul@debian.org>. Full text and rfc822 format available.

Message #10 received at 453165@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 453165@bugs.debian.org, control@bugs.debian.org
Subject: Patch to fix FTBFS
Date: Wed, 28 Nov 2007 06:14:09 +0000
[Message part 1 (text/plain, inline)]
package isdnutils
tags 453165 + patch
kthxbye

Attached is a patch to fix this bug.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[isdnutils.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Wed, 28 Nov 2007 06:15:04 GMT) Full text and rfc822 format available.

Blocking bugs of 453159 added: 453165 Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Wed, 28 Nov 2007 20:46:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#453165; Package isdnutils. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Paul Slootman <paul@debian.org>. Full text and rfc822 format available.

Message #19 received at 453165@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 453165@bugs.debian.org
Subject: Re: Bug#453165: Patch to fix FTBFS
Date: Sat, 12 Jan 2008 11:30:01 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 28, 2007 at 06:14:09AM +0000, brian m. carlson wrote:
> Attached is a patch to fix this bug.

NMU attached.

Kind regards,
Philipp Kern
[isdnutils_3.9.20060704-3_3.9.20060704-3.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 453165-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 453165-close@bugs.debian.org
Subject: Bug#453165: fixed in isdnutils 1:3.9.20060704-3.1
Date: Sat, 12 Jan 2008 12:02:04 +0000
Source: isdnutils
Source-Version: 1:3.9.20060704-3.1

We believe that the bug you reported is fixed in the latest version of
isdnutils, which is due to be installed in the Debian FTP archive:

capiutils_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/capiutils_3.9.20060704-3.1_amd64.deb
ipppd_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/ipppd_3.9.20060704-3.1_amd64.deb
isdnactivecards_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnactivecards_3.9.20060704-3.1_amd64.deb
isdneurofile_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdneurofile_3.9.20060704-3.1_amd64.deb
isdnlog-data_3.9.20060704-3.1_all.deb
  to pool/main/i/isdnutils/isdnlog-data_3.9.20060704-3.1_all.deb
isdnlog_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnlog_3.9.20060704-3.1_amd64.deb
isdnutils-base_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnutils-base_3.9.20060704-3.1_amd64.deb
isdnutils-doc_3.9.20060704-3.1_all.deb
  to pool/main/i/isdnutils/isdnutils-doc_3.9.20060704-3.1_all.deb
isdnutils-xtools_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnutils-xtools_3.9.20060704-3.1_amd64.deb
isdnutils_3.9.20060704-3.1.diff.gz
  to pool/main/i/isdnutils/isdnutils_3.9.20060704-3.1.diff.gz
isdnutils_3.9.20060704-3.1.dsc
  to pool/main/i/isdnutils/isdnutils_3.9.20060704-3.1.dsc
isdnutils_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnutils_3.9.20060704-3.1_amd64.deb
isdnvbox_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnvbox_3.9.20060704-3.1_amd64.deb
isdnvboxclient_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnvboxclient_3.9.20060704-3.1_amd64.deb
isdnvboxserver_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/isdnvboxserver_3.9.20060704-3.1_amd64.deb
libcapi20-3_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/libcapi20-3_3.9.20060704-3.1_amd64.deb
libcapi20-dev_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/libcapi20-dev_3.9.20060704-3.1_amd64.deb
pppdcapiplugin_3.9.20060704-3.1_amd64.deb
  to pool/main/i/isdnutils/pppdcapiplugin_3.9.20060704-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453165@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated isdnutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 10:29:12 +0100
Source: isdnutils
Binary: isdnvbox isdnlog isdnutils isdneurofile isdnutils-xtools isdnutils-base isdnvboxserver isdnutils-doc isdnactivecards isdnlog-data pppdcapiplugin ipppd libcapi20-dev capiutils isdnvboxclient libcapi20-3
Architecture: source all amd64
Version: 1:3.9.20060704-3.1
Distribution: unstable
Urgency: low
Maintainer: Paul Slootman <paul@debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 capiutils  - Utilities for CAPI-capable ISDN cards
 ipppd      - PPP daemon for syncPPP over ISDN
 isdnactivecards - Support utilities for active ISDN cards.
 isdneurofile - ISDN eurofile transfer tool
 isdnlog    - ISDN connection logger
 isdnlog-data - data for isdnlog users
 isdnutils  - Most important ISDN-related packages and utilities
 isdnutils-base - ISDN utilities, the basic (minimal) set
 isdnutils-doc - Extensive documentation for isdnutils
 isdnutils-xtools - ISDN utilities that use X
 isdnvbox   - ISDN answering machine, client and server
 isdnvboxclient - ISDN answering machine, client
 isdnvboxserver - ISDN answering machine, server
 libcapi20-3 - libraries for CAPI support
 libcapi20-dev - libraries for CAPI support
 pppdcapiplugin - plugin for pppd to communicate with CAPI-capable ISDN cards
Closes: 453165
Changes: 
 isdnutils (1:3.9.20060704-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS because of size_t being undeclared. (Closes: #453165)
Files: 
 695bea76b8e4324e3c1e503694891fd1 1184 utils extra isdnutils_3.9.20060704-3.1.dsc
 944bb3114489aec424daeae3229cb8e4 784023 utils extra isdnutils_3.9.20060704-3.1.diff.gz
 9f16f96661f382a8ca9a1543b62b1c9f 834132 utils extra isdnlog-data_3.9.20060704-3.1_all.deb
 9b6f2209f402860d91e8b625c527dc99 676446 doc extra isdnutils-doc_3.9.20060704-3.1_all.deb
 c05dc156417bc12ec77dd5bb87ed024d 30788 utils optional isdnutils_3.9.20060704-3.1_amd64.deb
 24d7511cf002b906be393f623aad3f16 159242 utils optional isdnutils-base_3.9.20060704-3.1_amd64.deb
 524baa745bad692cd8e2dcda68d57282 48010 x11 extra isdnutils-xtools_3.9.20060704-3.1_amd64.deb
 14d74f877a49ab0b75adcc7f3402ea99 173892 net extra ipppd_3.9.20060704-3.1_amd64.deb
 9c2fb5b050ff75bb2b199dda709352d1 580700 utils extra isdnlog_3.9.20060704-3.1_amd64.deb
 1d3dda3a508a60d52715509ee55d6675 25536 utils extra isdnvbox_3.9.20060704-3.1_amd64.deb
 8de7ea1dcb71b52fa61a0eb569c3791d 69576 utils extra isdnvboxclient_3.9.20060704-3.1_amd64.deb
 3052409eee3632cce66b9b1ad63a24a8 143884 utils extra isdnvboxserver_3.9.20060704-3.1_amd64.deb
 8819c7a33bdc1640524cf706c03c50a0 85502 net extra capiutils_3.9.20060704-3.1_amd64.deb
 862c2ccfd855ae8a1249f3126f8a31ba 42010 libs extra libcapi20-3_3.9.20060704-3.1_amd64.deb
 b9977646098f1eb684af38bc224b932c 30610 libdevel extra libcapi20-dev_3.9.20060704-3.1_amd64.deb
 c583819d5d99d67d31bc220a1f02b793 144148 net extra pppdcapiplugin_3.9.20060704-3.1_amd64.deb
 33306ec63f683cbbecef5931e19aa647 1651862 utils extra isdnactivecards_3.9.20060704-3.1_amd64.deb
 7b379aa550d190d5043ed5620d3970a9 177984 comm extra isdneurofile_3.9.20060704-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiJMZ7Ro5M7LPzdgRAsr3AKCHkpc3yMbe1RqSWzYfxPF2w/fylgCeKcV/
RHaQNgLlond9bmnM9S+Jh1w=
=Gh+x
-----END PGP SIGNATURE-----





Tags added: sid, lenny Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 25 Jan 2008 17:03:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:24:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:06:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.